package com.engine.salary.mapper.report;

import com.engine.salary.report.entity.po.SalaryStatisticsReportPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalaryStatisticsReportMapper {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsReportPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsReportPO> listSome(SalaryStatisticsReportPO SalaryStatisticsReportPO);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryStatisticsReportPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param SalaryStatisticsReportPO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryStatisticsReportPO SalaryStatisticsReportPO);

    /**
     * 修改，修改所有字段
     *
     * @param SalaryStatisticsReportPO 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryStatisticsReportPO SalaryStatisticsReportPO);

    /**
     * 修改，忽略null字段
     *
     * @param SalaryStatisticsReportPO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryStatisticsReportPO SalaryStatisticsReportPO);

    /**
     * 删除记录
     *
     * @param id 待删除的记录
     * @return 返回影响行数
     */
    int delete(Long id);

    /**
     * 批量删除记录
     * @param ids 主键id集合
     * @return
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);
}
